/*
* CLIF is a Load Injection Framework
* Copyright (C) 2008 France Telecom
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
* CLIF
*@author Olivier Liu
*
*
*/

package org.ow2.clif.analyze.lib.graph;

public class PageOptions {
	//graph type : noChart, timeChart, frequencyChart, quantilChart
	int pageOptionsId;
	
	// NoChart, TimeChart, HistogramChart, QuantilChart
	private String graphType;

	private int timeStart;

	private int timeEnd;

	public PageOptions(){

	}
	
	public PageOptions(int graphOptionsId, String graphType, int timeStart,
			int timeEnd) {
		super();
		this.pageOptionsId = graphOptionsId;
		this.graphType = graphType;
		this.timeStart = timeStart;
		this.timeEnd = timeEnd;
	}

	public String getGraphType() {
		return graphType;
	}

	public void setGraphType(String graphType) {
		this.graphType = graphType;
	}

	public int getTimeStart() {
		return timeStart;
	}

	public void setTimeStart(int timeStart) {
		this.timeStart = timeStart;
	}

	public int getTimeEnd() {
		return timeEnd;
	}

	public void setTimeEnd(int timeEnd) {
		this.timeEnd = timeEnd;
	}

	public int getPageOptionsId() {
		return pageOptionsId;
	}

	public void setPageOptionsId(int pageOptionsId) {
		this.pageOptionsId = pageOptionsId;
	}
}
